#
# spec file for package palm-db-tools
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           palm-db-tools
BuildRequires:  gcc-c++
BuildRequires:  libtool
Version:        0.3.6
Release:        280.6
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}.dif
Patch1:         %{name}-%{version}-type-fix.diff
Patch2:         %{name}-%{version}-gcc.diff
Patch3:         gcc46_build_fix.patch
Url:            http://pilot-db.sourceforge.net//
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        convert text files into several PalmOS database formats
License:        GPL-2.0+
Group:          Hardware/Palm

%description
The palm-db-tools package convert text files to several flat-file
database formats. The currently supported formats are: DB	
http://pilot-db.sourceforge.net/ MobileDB 
http://www.mobilegeneration.com/products/mobiledb/ List     
http://www.magma.ca/~roo/list/list.html JFile v3.x (v4.x will be
supported later) http://www.land-j.com/jfile.html

%prep
%setup -n %{name}
%patch
%patch1
%patch2
%patch3
#convert dos2unix file format 
cat configure.in | tr -d '\015' >configure.in.new && mv -f configure.in.new configure.in

%build
libtoolize --force
autoreconf --install --force
chmod a+x configure
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -Wno-deprecated -fPIC" \
./configure --prefix=/usr \
	    --exec_prefix=/usr \
	    --bindir=/usr/bin \
	    --sysconfdir=%{_sysconfdir} \
	    --mandir=%{_mandir} \
	    --infodir=%{_infodir} \
	    --libdir=/usr/%_lib
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README NEWS  ChangeLog   TODO  docs/manual.txt
/usr/%_lib/libpdbtools.so
/usr/bin/csv2pdb
/usr/bin/pdb2csv

%changelog
* Sat Jan 12 2013 coolo@suse.com
- remove suse_update_config
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue May 10 2011 cgiboudeaux@gmx.com
- Add gcc46_build_fix.patch
* Thu Jun 11 2009 nadvornik@novell.com
- fixed to compile with new gcc
- removed obsolete macro %%run_ldconfig
* Wed Oct 24 2007 nadvornik@suse.cz
- added missing includes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 schwab@suse.de
- Don't strip binaries.
* Wed Apr 27 2005 postadal@suse.cz
- fixed for gcc 4.0
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Fri Aug 22 2003 postadal@suse.cz
- fixed data type (type-fix.diff)
- build libflatfile.a with -fPIC
* Thu Jul 31 2003 ro@suse.de
- try to fix installation (urgs...)
* Mon Jul 28 2003 postadal@suse.cz
- updated to version 0.3.6
- removed obsoleted patches (c++, gcc, makefile)
* Wed Jan 22 2003 postadal@suse.cz
- updated to version 0.3.5
  * note, link, linked field Type support
- fix to compile with gcc3.2
* Thu Jan 31 2002 schwab@suse.de
- Fix for gcc3.
* Sun Oct  7 2001 tcrhak@suse.cz
- added -a to automake (needed by automake 1.5-4)
* Fri Aug 10 2001 adostal@suse.cz
- update to version 0.3.2 (stable)
- add makefile patch
* Mon Jun  4 2001 pblaha@suse.cz
- create this package version 0.3.2
